line_info = [[6221, 81, 6, 183], [6220, 81, 6, 183], [6219, 92, 6, 183], [6218, 66, 6, 183], [6217, 66, 6, 183],
             [6216, 66, 6, 183], [6215, 66, 6, 183], [6214, 66, 6, 183], [6213, 81, 6, 183], [6212, 81, 6, 183],
             [6211, 92, 6, 183], [6210, 92, 6, 183], [6209, 45, 6, 183], [6208, 66, 6, 183], [6207, 66, 6, 183],
             [6206, 66, 6, 183], [6145, 82, 6, 183], [6144, 82, 6, 183], [6143, 92, 6, 183], [6142, 66, 6, 183],
             [6141, 66, 6, 183], [6140, 66, 6, 183], [6139, 66, 6, 183], [6138, 66, 6, 183], [6137, 66, 6, 183],
             [6136, 66, 6, 183], [6135, 66, 6, 183], [6134, 45, 6, 183], [6133, 45, 6, 183], [6132, 66, 6, 183],
             [6131, 66, 6, 183], [6130, 66, 6, 183], [6129, 82, 6, 183], [6128, 82, 6, 183], [6127, 81, 6, 183],
             [6126, 81, 6, 183], [6125, 66, 6, 183], [6124, 66, 6, 183], [6123, 66, 6, 183], [6122, 66, 6, 183],
             [6121, 82, 6, 183], [6120, 82, 6, 183], [6119, 81, 6, 183], [6118, 66, 6, 183], [6117, 66, 6, 183],
             [6116, 66, 6, 183], [6115, 66, 6, 183], [6114, 81, 6, 183], [6113, 81, 6, 183], [6112, 81, 6, 183],
             [6111, 66, 6, 183], [6110, 66, 6, 183], [6109, 66, 6, 183], [6108, 66, 6, 183], [6107, 82, 6, 183],
             [6106, 81, 6, 183], [6104, 81, 6, 183], [6103, 66, 6, 183], [6102, 66, 6, 183], [6101, 66, 6, 183],
             [6100, 66, 6, 183], [6099, 81, 6, 183], [6098, 81, 6, 183], [6097, 66, 6, 183], [6096, 66, 6, 183],
             [6095, 66, 6, 183], [6094, 66, 6, 183], [6093, 82, 6, 181], [6092, 82, 6, 181], [6091, 82, 6, 181],
             [6090, 81, 6, 181], [6089, 81, 6, 181], [6088, 66, 6, 181], [6087, 45, 6, 181], [6086, 66, 6, 181],
             [6085, 66, 6, 181], [6084, 66, 6, 181], [6083, 82, 6, 181], [6082, 81, 6, 181], [6081, 81, 6, 181],
             [6080, 45, 6, 181], [6079, 66, 6, 181], [6078, 66, 6, 181], [6077, 66, 6, 181], [6076, 81, 6, 181],
             [6075, 81, 6, 181], [6074, 81, 6, 181], [6073, 82, 6, 181], [6072, 82, 6, 181], [6071, 66, 6, 181],
             [6070, 66, 6, 181], [6069, 66, 6, 181], [6068, 66, 6, 181], [6067, 82, 6, 181], [6066, 81, 6, 181],
             [6065, 81, 6, 181], [6064, 66, 6, 181], [6063, 66, 6, 181], [6062, 66, 6, 181], [6061, 66, 6, 181],
             [6060, 66, 6, 181], [6059, 82, 6, 181], [6058, 81, 6, 181], [6057, 83, 6, 181], [6056, 66, 6, 181],
             [6055, 66, 6, 181], [6054, 66, 6, 181], [6053, 66, 6, 181], [6052, 66, 6, 181], [6051, 81, 6, 181],
             [6050, 81, 6, 181], [6049, 83, 6, 181], [6048, 66, 6, 181], [6047, 66, 6, 181], [6046, 66, 6, 181],
             [6045, 66, 6, 181], [6044, 81, 6, 181], [6043, 81, 6, 181], [6042, 81, 6, 181], [6041, 66, 6, 181],
             [6040, 66, 6, 181], [6039, 66, 6, 181], [6038, 66, 6, 181], [6037, 66, 6, 181], [6036, 82, 6, 181],
             [6035, 81, 6, 181], [6034, 66, 6, 181], [6033, 45, 6, 181], [6032, 66, 6, 181], [6031, 66, 6, 181],
             [6030, 66, 6, 181], [6029, 81, 6, 181], [6028, 81, 6, 181], [6027, 81, 6, 181], [6026, 66, 6, 181],
             [6025, 66, 6, 181], [6024, 66, 6, 181], [6023, 82, 6, 181], [6022, 45, 6, 181], [6021, 66, 6, 181],
             [6020, 66, 6, 181], [6019, 66, 6, 181], [6018, 82, 6, 181], [6017, 82, 6, 181], [6016, 82, 6, 181],
             [6015, 66, 6, 181], [6014, 66, 6, 181], [6013, 66, 6, 181], [6012, 82, 6, 181], [6011, 82, 6, 181],
             [6010, 66, 6, 181], [6009, 45, 6, 181], [6008, 66, 6, 181], [6007, 66, 6, 181], [6006, 66, 6, 181],
             [6005, 66, 6, 181], [6004, 45, 6, 181], [6003, 45, 6, 181], [6002, 66, 6, 181], [6001, 66, 6, 181],
             [6000, 66, 6, 181], [5999, 45, 6, 181], [5998, 66, 6, 181], [5997, 64, 6, 181], [5996, 64, 6, 181],
             [5995, 66, 6, 181], [5994, 66, 6, 181], [5993, 66, 6, 181], [5992, 81, 6, 181], [5991, 82, 6, 181],
             [5990, 64, 6, 181], [5989, 66, 6, 181], [5988, 45, 6, 181], [5987, 66, 6, 181], [5986, 66, 6, 181],
             [5985, 45, 6, 181], [5984, 45, 6, 181], [5983, 66, 6, 181], [5982, 66, 6, 181], [5981, 66, 6, 181],
             [5980, 82, 6, 181], [5979, 64, 6, 181], [5978, 66, 6, 181], [5977, 45, 6, 181], [5976, 66, 6, 181],
             [5975, 66, 6, 181], [5894, 66, 6, 181], [5893, 66, 6, 181], [5892, 45, 6, 181], [5891, 66, 6, 181],
             [5890, 66, 6, 181], [5889, 66, 6, 181], [5888, 66, 6, 181], [5887, 45, 6, 181], [5886, 45, 6, 181],
             [5885, 66, 6, 181], [5884, 66, 6, 181], [5883, 82, 6, 181], [5882, 82, 6, 181], [5881, 45, 6, 181],
             [5880, 66, 6, 181], [5879, 66, 6, 181], [5878, 66, 6, 181], [5877, 94, 25, 182], [5876, 94, 25, 182],
             [5875, 94, 25, 182], [5874, 94, 25, 182], [5873, 82, 6, 181], [5872, 82, 6, 181], [5871, 45, 6, 181],
             [5870, 45, 6, 181], [5869, 66, 6, 181], [5868, 66, 6, 181], [5867, 66, 6, 181], [5861, 82, 6, 181],
             [5860, 82, 6, 181], [5859, 66, 6, 181], [5858, 45, 6, 181], [5857, 45, 6, 181], [5856, 66, 6, 181],
             [5854, 66, 6, 181], [5853, 92, 6, 180], [5852, 82, 6, 180], [5851, 66, 6, 180], [5850, 66, 6, 180],
             [5849, 66, 6, 180], [5848, 66, 6, 180], [5847, 82, 6, 180], [5846, 66, 6, 180], [5845, 45, 6, 180],
             [5844, 66, 6, 180], [5843, 66, 6, 180], [5842, 66, 6, 180], [5841, 94, 25, 179], [5840, 94, 25, 179],
             [5839, 94, 25, 179], [5838, 94, 25, 179], [5837, 94, 25, 179], [5836, 94, 25, 179], [5835, 94, 25, 179],
             [5834, 94, 25, 179], [5833, 94, 25, 179], [5832, 94, 25, 179], [5831, 94, 25, 179], [5830, 94, 25, 179],
             [5829, 94, 25, 179], [5828, 94, 25, 179], [5827, 94, 25, 179], [5826, 94, 25, 179], [5825, 94, 25, 179],
             [5824, 94, 25, 179], [5823, 94, 25, 179], [5822, 94, 25, 179], [5821, 94, 25, 179], [5820, 94, 25, 179],
             [5819, 92, 6, 180], [5818, 81, 6, 180], [5817, 66, 6, 180], [5816, 66, 6, 180], [5815, 66, 6, 180],
             [5814, 66, 6, 180], [5813, 66, 6, 180], [5791, 81, 6, 180], [5790, 66, 6, 180], [5789, 66, 6, 180],
             [5788, 66, 6, 180], [5767, 81, 6, 180], [5766, 66, 6, 180], [5765, 66, 6, 180], [5764, 66, 6, 180],
             [5763, 66, 6, 180], [5717, 82, 6, 180], [5716, 66, 6, 180], [5715, 66, 6, 180], [5714, 66, 6, 180],
             [5713, 66, 6, 180], [5712, 66, 6, 180], [5711, 66, 6, 180], [5679, 82, 6, 180], [5678, 81, 6, 180],
             [5677, 66, 6, 180], [5676, 66, 6, 180], [5675, 66, 6, 180], [5674, 92, 6, 180], [5673, 92, 6, 180],
             [5672, 66, 6, 180], [5671, 66, 6, 180], [5670, 66, 6, 180], [5669, 66, 6, 180], [5654, 81, 6, 180],
             [5653, 82, 6, 180], [5652, 66, 6, 180], [5651, 66, 6, 180], [5650, 66, 6, 180], [5649, 66, 6, 180],
             [5648, 66, 6, 180], [5647, 66, 6, 180], [5633, 81, 6, 180], [5632, 82, 6, 180], [5631, 66, 6, 180],
             [5630, 66, 6, 180], [5629, 66, 6, 180], [5616, 81, 6, 180], [5615, 66, 6, 180], [5614, 66, 6, 180],
             [5613, 66, 6, 180], [5612, 66, 6, 180], [5600, 82, 6, 180], [5599, 82, 6, 180], [5598, 81, 6, 180],
             [5597, 66, 6, 180], [5596, 66, 6, 180], [5595, 66, 6, 180], [5594, 66, 6, 180], [5593, 66, 6, 180],
             [5592, 66, 6, 180], [5491, 66, 6, 180], [5490, 92, 6, 180], [5489, 92, 6, 180], [5488, 66, 6, 180],
             [5487, 66, 6, 180], [5486, 66, 6, 180], [5470, 92, 6, 180], [5469, 92, 6, 180], [5468, 66, 6, 180],
             [5467, 64, 6, 180], [5466, 66, 6, 180], [5462, 66, 6, 180], [5461, 66, 6, 180], [5460, 66, 6, 180],
             [5459, 66, 6, 180], [5458, 92, 6, 180], [5457, 92, 6, 180], [5456, 92, 6, 180], [5455, 92, 6, 180],
             [5454, 66, 6, 180], [5453, 66, 6, 180], [5452, 66, 6, 180], [5451, 66, 6, 180], [5450, 66, 6, 180],
             [5449, 97, 2, False], [5447, 92, 6, 180], [5446, 66, 6, 180], [5445, 82, 6, 180], [5444, 66, 6, 180],
             [5443, 66, 6, 180], [5442, 66, 6, 180], [5441, 82, 6, 177], [5440, 82, 6, 177], [5439, 64, 6, 177],
             [5438, 66, 6, 177], [5437, 94, 25, 178], [5436, 94, 25, 178], [5435, 94, 25, 178], [5434, 94, 25, 178],
             [5433, 94, 25, 178], [5432, 94, 25, 178], [5431, 94, 25, 178], [5430, 94, 25, 178], [5429, 94, 25, 178],
             [5428, 94, 25, 178], [5427, 94, 25, 178], [5426, 94, 25, 178], [5425, 94, 25, 178], [5424, 94, 25, 178],
             [5423, 94, 25, 178], [5422, 94, 25, 178], [5421, 94, 25, 178], [5420, 94, 25, 178], [5419, 94, 25, 178],
             [5418, 94, 25, 178], [5417, 94, 25, 178], [5416, 94, 25, 178], [5415, 94, 25, 178], [5414, 94, 25, 178],
             [5413, 94, 25, 178], [5412, 94, 25, 178], [5411, 94, 25, 178], [5410, 94, 25, 178], [5409, 94, 25, 178],
             [5408, 94, 25, 178], [5407, 94, 25, 178], [5406, 92, 6, 177], [5405, 92, 6, 177], [5404, 82, 6, 177],
             [5403, 82, 6, 177], [5402, 82, 6, 177], [5401, 66, 6, 177], [5400, 66, 6, 177], [5343, 92, 6, 177],
             [5342, 92, 6, 177], [5341, 92, 6, 177], [5340, 66, 6, 177], [5339, 66, 6, 177], [5338, 82, 6, 177],
             [5337, 82, 6, 177], [5336, 66, 6, 177], [5335, 66, 6, 177], [5310, 92, 6, 177], [5309, 92, 6, 177],
             [5308, 92, 6, 177], [5307, 66, 6, 177], [5263, 92, 6, 177], [5262, 92, 6, 177], [5261, 82, 6, 177],
             [5260, 82, 6, 177], [5259, 66, 6, 177], [5239, 92, 6, 177], [5238, 92, 6, 177], [5237, 92, 6, 177],
             [5236, 92, 6, 177], [5235, 82, 6, 177], [5234, 82, 6, 177], [5233, 82, 6, 177], [5232, 66, 6, 177],
             [5213, 66, 6, 177], [5212, 81, 6, 177], [5211, 92, 6, 177], [5210, 92, 6, 177], [5209, 92, 6, 177],
             [5208, 66, 6, 177], [5176, 92, 6, 177], [5175, 92, 6, 177], [5174, 81, 6, 177], [5173, 81, 6, 177],
             [5172, 66, 6, 177], [5171, 66, 6, 177], [5170, 82, 6, 177], [5169, 82, 6, 177], [5168, 81, 6, 177],
             [5167, 81, 6, 177], [5166, 66, 6, 177], [5165, 66, 6, 177], [5099, 81, 6, 177], [5098, 82, 6, 177],
             [5097, 82, 6, 177], [5096, 66, 6, 177], [5095, 66, 6, 177], [5094, 66, 6, 177], [5093, 92, 6, 177],
             [5092, 82, 6, 177], [5091, 81, 6, 177], [5090, 66, 6, 177], [5089, 66, 6, 177], [5069, 82, 6, 177],
             [5068, 82, 6, 177], [5067, 82, 6, 177], [5066, 66, 6, 177], [5065, 66, 6, 177], [5064, 66, 6, 177],
             [5055, 82, 6, 177], [5054, 82, 6, 177], [5053, 66, 6, 177], [5052, 66, 6, 177], [5051, 66, 6, 177],
             [5050, 66, 6, 177], [5039, 82, 6, 177], [5038, 92, 6, 177], [5037, 66, 6, 177], [5036, 66, 6, 177],
             [5015, 92, 6, 177], [5014, 92, 6, 177], [5013, 66, 6, 177], [5012, 66, 6, 177], [5011, 66, 6, 177],
             [5000, 92, 6, 177], [4999, 92, 6, 177], [4998, 92, 6, 177], [4997, 66, 6, 177], [4996, 66, 6, 177],
             [4988, 92, 6, 177], [4987, 66, 6, 177], [4986, 66, 6, 177], [4985, 66, 6, 177], [4948, 92, 6, 177],
             [4947, 92, 6, 177], [4946, 66, 6, 177], [4945, 92, 6, 177], [4944, 92, 6, 177], [4943, 92, 6, 177],
             [4942, 66, 6, 177], [4941, 92, 6, 176], [4940, 92, 6, 176], [4939, 92, 6, 176], [4938, 66, 6, 176],
             [4937, 66, 6, 176], [4936, 66, 6, 176], [4925, 92, 6, 176], [4924, 92, 6, 176], [4923, 92, 6, 176],
             [4922, 66, 6, 176], [4921, 92, 6, 176], [4920, 92, 6, 176], [4919, 92, 6, 176], [4918, 92, 6, 176],
             [4917, 32, 6, 176], [4916, 66, 6, 176], [4915, 66, 6, 176], [4914, 66, 6, 176], [4913, 92, 6, 176],
             [4912, 64, 6, 176], [4911, 66, 6, 176], [4910, 66, 6, 176], [4909, 82, 6, 176], [4908, 92, 6, 176],
             [4907, 66, 6, 176], [4906, 66, 6, 176], [4905, 66, 6, 176], [4904, 82, 6, 176], [4903, 82, 6, 176],
             [4902, 66, 6, 176], [4896, 82, 6, 176], [4895, 82, 6, 176], [4894, 66, 6, 176], [4893, 66, 6, 176],
             [4892, 89, 6, 176], [4891, 82, 6, 176], [4890, 82, 6, 176], [4889, 82, 6, 176], [4888, 45, 6, 176],
             [4887, 45, 6, 176], [4886, 66, 6, 176], [4885, 82, 6, 176], [4884, 82, 6, 176], [4883, 82, 6, 176],
             [4882, 66, 6, 176], [4881, 89, 6, 176], [4880, 82, 6, 176], [4879, 82, 6, 176], [4878, 82, 6, 176],
             [4877, 45, 6, 176], [4876, 66, 6, 176], [4845, 82, 6, 176], [4844, 82, 6, 176], [4843, 82, 6, 176],
             [4842, 45, 6, 176], [4841, 66, 6, 176], [4840, 89, 6, 176], [4839, 82, 6, 176], [4838, 82, 6, 176],
             [4837, 82, 6, 176], [4836, 66, 6, 176], [4835, 66, 6, 176], [4834, 82, 6, 176], [4833, 82, 6, 176],
             [4832, 82, 6, 176], [4831, 92, 6, 176], [4830, 66, 6, 176], [4829, 64, 6, 176], [4828, 66, 6, 176],
             [4827, 92, 6, 176], [4826, 89, 6, 176], [4825, 45, 6, 176], [4824, 45, 6, 176], [4823, 66, 6, 176],
             [4822, 82, 6, 175], [4821, 92, 6, 175], [4820, 81, 6, 175], [4819, 82, 6, 175], [4818, 82, 6, 175],
             [4817, 45, 6, 175], [4816, 66, 6, 175], [4815, 82, 6, 175], [4814, 64, 6, 175], [4813, 66, 6, 175],
             [4812, 66, 6, 175], [4811, 66, 6, 175], [4810, 81, 6, 175], [4809, 82, 6, 175], [4808, 82, 6, 175],
             [4807, 82, 6, 175], [4806, 82, 6, 175], [4805, 66, 6, 175], [4804, 89, 6, 175], [4803, 82, 6, 175],
             [4802, 82, 6, 175], [4801, 82, 6, 175], [4800, 81, 6, 175], [4799, 66, 6, 175], [4798, 45, 6, 175],
             [4797, 66, 6, 175], [4796, 66, 6, 175], [4795, 82, 6, 175], [4794, 81, 6, 175], [4793, 45, 6, 175],
             [4792, 66, 6, 175], [4791, 82, 6, 175], [4790, 66, 6, 175], [4789, 81, 6, 175], [4788, 45, 6, 175],
             [4787, 66, 6, 175], [4786, 81, 6, 175], [4785, 81, 6, 175], [4784, 81, 6, 175], [4783, 82, 6, 175],
             [4782, 82, 6, 175], [4781, 64, 6, 175], [4780, 45, 6, 175], [4779, 66, 6, 175], [4778, 81, 6, 175],
             [4777, 81, 6, 175], [4776, 45, 6, 175], [4775, 66, 6, 175], [4774, 66, 6, 175], [4773, 81, 6, 175],
             [4772, 66, 6, 175], [4771, 66, 6, 175], [4770, 66, 6, 175], [4769, 66, 6, 175], [4768, 81, 6, 175],
             [4767, 82, 6, 175], [4766, 66, 6, 175], [4765, 66, 6, 175], [4764, 82, 6, 175], [4763, 82, 6, 175],
             [4762, 82, 6, 175], [4761, 45, 6, 175], [4760, 64, 6, 175], [4759, 66, 6, 175], [4758, 82, 6, 175],
             [4757, 82, 6, 175], [4756, 82, 6, 175], [4755, 66, 6, 175], [4754, 66, 6, 175], [4753, 45, 6, 175],
             [4752, 66, 6, 175], [4751, 82, 6, 175], [4750, 81, 6, 175], [4749, 81, 6, 175], [4748, 66, 6, 175],
             [4747, 45, 6, 175], [4746, 66, 6, 175], [4745, 81, 6, 175], [4744, 81, 6, 175], [4743, 82, 6, 175],
             [4742, 82, 6, 175], [4741, 45, 6, 175], [4740, 66, 6, 175], [4739, 66, 6, 175], [4738, 81, 6, 175],
             [4737, 81, 6, 175], [4736, 45, 6, 175], [4735, 66, 6, 175], [4734, 66, 6, 175], [4733, 82, 6, 175],
             [4732, 82, 6, 175], [4731, 45, 6, 175], [4730, 89, 6, 175], [4729, 66, 6, 175], [4728, 89, 6, 175],
             [4727, 81, 6, 175], [4726, 82, 6, 175], [4725, 82, 6, 175], [4724, 66, 6, 175], [4723, 66, 6, 175],
             [4722, 82, 6, 175], [4721, 82, 6, 175], [4720, 82, 6, 175], [4719, 82, 6, 175], [4718, 82, 6, 175],
             [4717, 82, 6, 175], [4716, 82, 6, 175], [4715, 45, 6, 175], [4714, 66, 6, 175], [4713, 82, 6, 175],
             [4712, 82, 6, 175], [4711, 82, 6, 175], [4710, 82, 6, 175], [4709, 45, 6, 175], [4708, 66, 6, 175],
             [4702, 82, 6, 175], [4701, 82, 6, 175], [4700, 82, 6, 175], [4699, 82, 6, 175], [4698, 82, 6, 175],
             [4697, 82, 6, 175], [4696, 66, 6, 175], [4665, 82, 6, 175], [4664, 82, 6, 175], [4663, 82, 6, 175],
             [4662, 89, 6, 175], [4661, 66, 6, 175], [4660, 45, 6, 175], [4659, 66, 6, 175], [4658, 82, 6, 173],
             [4657, 82, 6, 173], [4656, 66, 6, 173], [4655, 66, 6, 173], [4654, 82, 6, 173], [4653, 82, 6, 173],
             [4652, 82, 6, 173], [4651, 66, 6, 173], [4650, 82, 6, 173], [4649, 82, 6, 173], [4648, 82, 6, 173],
             [4647, 82, 6, 173], [4646, 66, 6, 173], [4645, 82, 6, 173], [4644, 82, 6, 173], [4643, 82, 6, 173],
             [4642, 82, 6, 173], [4641, 45, 6, 173], [4640, 66, 6, 173], [4639, 82, 6, 173], [4638, 82, 6, 173],
             [4637, 82, 6, 173], [4636, 91, 6, 173], [4635, 64, 6, 173], [4634, 66, 6, 173], [4633, 66, 6, 173],
             [4632, 82, 6, 173], [4631, 82, 6, 173], [4630, 45, 6, 173], [4629, 66, 6, 173], [4628, 66, 6, 173],
             [4627, 66, 6, 173], [4626, 91, 6, 173], [4625, 66, 6, 173], [4624, 66, 6, 173], [4623, 82, 6, 173],
             [4622, 66, 6, 173], [4621, 66, 6, 173], [4620, 66, 6, 173], [4619, 66, 6, 173], [4618, 82, 6, 173],
             [4617, 82, 6, 173], [4616, 82, 6, 173], [4615, 66, 6, 173], [4614, 66, 6, 173], [4613, 19, 22, 174],
             [4612, 19, 22, 174], [4611, 19, 22, 174], [4610, 45, 22, 174], [4609, 45, 22, 174], [4608, 45, 22, 174],
             [4607, 82, 6, 173], [4606, 82, 6, 173], [4605, 66, 6, 173], [4604, 66, 6, 173], [4603, 82, 6, 173],
             [4602, 66, 6, 173], [4601, 66, 6, 173], [4595, 82, 6, 173], [4594, 89, 6, 173], [4593, 89, 6, 173],
             [4592, 66, 6, 173], [4591, 66, 6, 173], [4587, 82, 6, 173], [4586, 82, 6, 173], [4585, 82, 6, 173],
             [4584, 82, 6, 173], [4583, 89, 6, 173], [4582, 66, 6, 173], [4579, 19, 22, 172], [4578, 19, 22, 172],
             [4577, 19, 22, 172], [4576, 19, 22, 172], [4575, 19, 22, 172], [4574, 19, 22, 172], [4573, 19, 22, 172],
             [4572, False, 22, 172], [4571, 45, 22, 172], [4570, 45, 22, 172], [4569, 45, 22, 172], [4568, 45, 22, 172],
             [4567, 45, 22, 172], [4566, 45, 22, 172], [4565, 45, 22, 172], [4564, 45, 22, 172], [4563, 45, 22, 172],
             [4562, 45, 22, 172], [4561, 45, 22, 172], [4560, 45, 22, 172], [4559, 45, 22, 172], [4558, 45, 22, 172],
             [4557, 45, 22, 172], [4556, 45, 22, 172], [4555, 45, 22, 172], [4554, 45, 22, 172], [4553, 45, 22, 172],
             [4552, 45, 22, 172], [4551, 45, 22, 172], [4550, 45, 22, 172], [4549, 45, 22, 172], [4548, 45, 22, 172],
             [4547, 45, 22, 172], [4546, 45, 22, 172], [4545, 82, 6, 173], [4544, 66, 6, 173], [4543, 66, 6, 173],
             [4508, 82, 6, 173], [4507, 66, 6, 173], [4506, 66, 6, 173], [4505, 82, 6, 173], [4504, 82, 6, 173],
             [4503, 45, 6, 173], [4502, 45, 6, 173], [4501, 66, 6, 173], [4439, 82, 6, 173], [4438, 82, 6, 173],
             [4437, 66, 6, 173], [4436, 66, 6, 173], [4435, 82, 6, 173], [4434, 45, 6, 173], [4433, 66, 6, 173],
             [4407, 82, 6, 173], [4406, 19, 6, 173], [4405, 66, 6, 173], [4404, 82, 6, 173], [4403, 82, 6, 173],
             [4402, 82, 6, 173], [4401, 66, 6, 173], [4400, 66, 6, 173], [4399, 82, 6, 173], [4398, 66, 6, 173],
             [4397, 66, 6, 173], [4373, 82, 6, 173], [4372, 66, 6, 173], [4349, 82, 6, 170], [4348, 89, 6, 170],
             [4347, 45, 6, 170], [4346, 66, 6, 170], [4306, 82, 6, 170], [4305, 82, 6, 170], [4304, 82, 6, 170],
             [4303, 45, 6, 170], [4302, 66, 6, 170], [4284, 82, 6, 170], [4283, 82, 6, 170], [4282, 19, 6, 170],
             [4281, 66, 6, 170], [4280, 82, 6, 170], [4279, 82, 6, 170], [4278, 82, 6, 170], [4277, 19, 6, 170],
             [4276, 66, 6, 170], [4275, 82, 6, 170], [4274, 82, 6, 170], [4273, 82, 6, 170], [4272, 64, 6, 170],
             [4271, 45, 6, 170], [4270, 66, 6, 170], [4238, 82, 6, 170], [4237, 82, 6, 170], [4236, 82, 6, 170],
             [4235, 66, 6, 170], [4234, 66, 6, 170], [4233, 82, 6, 170], [4232, 19, 6, 170], [4231, 19, 6, 170],
             [4230, 66, 6, 170], [4229, 66, 6, 170], [4214, 66, 6, 170], [4213, 82, 6, 170], [4212, 82, 6, 170],
             [4211, 82, 6, 170], [4210, 82, 6, 170], [4209, 66, 6, 170], [4183, 82, 6, 170], [4182, 82, 6, 170],
             [4181, 82, 6, 170], [4180, 82, 6, 170], [4179, 89, 6, 170], [4178, 45, 6, 170], [4177, 66, 6, 170],
             [4176, 82, 6, 170], [4175, 82, 6, 170], [4174, 66, 6, 170], [4162, 82, 6, 170], [4161, 82, 6, 170],
             [4160, 82, 6, 170], [4159, 66, 6, 170], [4139, 82, 6, 170], [4138, 82, 6, 170], [4137, 82, 6, 170],
             [4136, 45, 6, 170], [4135, 66, 6, 170], [4126, 82, 6, 170], [4125, 82, 6, 170], [4124, 82, 6, 170],
             [4123, 19, 6, 170], [4122, 66, 6, 170], [4110, 89, 6, 170], [4109, 82, 6, 170], [4108, 82, 6, 170],
             [4107, 82, 6, 170], [4106, 45, 6, 170], [4105, 66, 6, 170], [4100, 66, 6, 170], [4099, 82, 6, 170],
             [4098, 82, 6, 170], [4097, 89, 6, 170], [4096, 66, 6, 170], [4095, 66, 6, 170], [4091, 82, 2, 171],
             [4090, 89, 2, 171], [4089, 89, 2, 171], [4088, 45, 2, 171], [4087, 17, 2, 171], [4086, 17, 2, 171],
             [4085, 17, 2, 171], [4084, 17, 2, 171], [4083, 17, 2, 171], [4082, 17, 2, 171], [4080, 66, 2, 171],
             [4079, 66, 2, 171], [4078, 66, 2, 171], [4077, 66, 2, 171], [4076, 66, 2, 171], [4075, 66, 2, 171],
             [4074, 66, 2, 171], [4000, 45, 6, 170], [3999, 82, 6, 170], [3998, 89, 6, 170], [3997, 66, 6, 170],
             [3996, 82, 2, 169], [3995, 82, 2, 169], [3994, 82, 2, 169], [3993, 82, 2, 169], [3992, 82, 2, 169],
             [3991, 82, 2, 169], [3990, 82, 2, 169], [3989, 82, 2, 169], [3988, 82, 2, 169], [3987, 66, 2, 169],
             [3986, 66, 2, 169], [3985, 66, 2, 169], [3984, 66, 2, 169], [3983, 66, 2, 169], [3982, 66, 2, 169],
             [3981, 66, 2, 169], [3958, 82, 6, 170], [3957, 82, 6, 170], [3956, 82, 6, 170], [3955, 66, 6, 170],
             [3915, 82, 6, 170], [3914, 66, 6, 170], [3913, 66, 6, 170], [3912, 82, 6, 170], [3911, 45, 6, 170],
             [3910, 66, 6, 170], [3909, 82, 6, 170], [3908, 45, 6, 170], [3907, 66, 6, 170], [3906, 82, 6, 170],
             [3905, 64, 6, 170], [3904, 19, 6, 170], [3903, 19, 6, 170], [3902, 64, 6, 170], [3901, 45, 6, 170],
             [3900, 66, 6, 170], [3899, 82, 6, 168], [3898, 82, 6, 168], [3897, 82, 6, 168], [3896, 82, 6, 168],
             [3895, 64, 6, 168], [3894, 66, 6, 168], [3893, 82, 6, 168], [3892, 82, 6, 168], [3891, 82, 6, 168],
             [3890, 82, 6, 168], [3889, 64, 6, 168], [3888, 66, 6, 168], [3887, 82, 6, 168], [3886, 82, 6, 168],
             [3885, 82, 6, 168], [3884, 19, 6, 168], [3883, 66, 6, 168], [3882, 82, 6, 168], [3881, 82, 6, 168],
             [3880, 82, 6, 168], [3879, 66, 6, 168], [3878, 82, 6, 168], [3877, 82, 6, 168], [3876, 82, 6, 168],
             [3875, 19, 6, 168], [3874, 66, 6, 168], [3873, 82, 6, 168], [3872, 66, 6, 168], [3871, 82, 6, 168],
             [3870, 82, 6, 168], [3869, 66, 6, 168], [3868, 82, 6, 168], [3867, 82, 6, 168], [3866, 82, 6, 168],
             [3865, 82, 6, 168], [3864, 66, 6, 168], [3863, 82, 6, 168], [3862, 82, 6, 168], [3861, 19, 6, 168],
             [3860, 66, 6, 168], [3859, 66, 6, 168], [3858, 82, 6, 168], [3857, 82, 6, 168], [3856, 45, 6, 168],
             [3855, 64, 6, 168], [3854, 66, 6, 168], [3851, 82, 6, 168], [3850, 82, 6, 168], [3849, 82, 6, 168],
             [3848, 82, 6, 168], [3847, 66, 6, 168], [3846, 82, 6, 168], [3845, 82, 6, 168], [3844, 64, 6, 168],
             [3843, 66, 6, 168], [3835, 82, 6, 168], [3834, 82, 6, 168], [3833, 82, 6, 168], [3832, 19, 6, 168],
             [3831, 66, 6, 168], [3830, 82, 6, 168], [3829, 82, 6, 168], [3828, 82, 6, 168], [3827, 64, 6, 168],
             [3826, 66, 6, 168], [3825, 82, 6, 168], [3824, 82, 6, 168], [3823, 82, 6, 168], [3822, 82, 6, 168],
             [3821, 45, 6, 168], [3820, 66, 6, 168], [3819, 82, 6, 168], [3818, 82, 6, 168], [3817, 82, 6, 168],
             [3816, 45, 6, 168], [3815, 19, 6, 168], [3814, 66, 6, 168], [3813, 82, 6, 168], [3812, 82, 6, 168],
             [3811, 82, 6, 168], [3810, 82, 6, 168], [3809, 82, 6, 168], [3808, 19, 6, 168], [3807, 64, 6, 168],
             [3806, 45, 6, 168], [3805, 66, 6, 168], [3787, 82, 6, 168], [3786, 82, 6, 168], [3785, 82, 6, 168],
             [3784, 66, 6, 168], [3783, 82, 6, 168], [3777, 82, 6, 168], [3776, 82, 6, 168], [3775, 82, 6, 168],
             [3774, 82, 6, 168], [3773, 66, 6, 168], [3769, 82, 6, 168], [3768, 82, 6, 168], [3767, 82, 6, 168],
             [3766, 82, 6, 168], [3765, 66, 6, 168], [3764, 66, 6, 168], [3763, 66, 2, 167], [3762, 82, 2, 167],
             [3761, 82, 2, 167], [3760, 82, 2, 167], [3759, 17, 2, 167], [3758, 66, 2, 167], [3739, 82, 22, 165],
             [3738, 82, 22, 165], [3737, 45, 22, 165], [3736, 45, 22, 165], [3735, 45, 22, 165], [3734, 45, 22, 165],
             [3733, 45, 22, 165], [3732, 45, 22, 165], [3731, 45, 22, 165], [3730, 45, 22, 165], [3729, 45, 22, 165],
             [3728, 45, 22, 165], [3727, 45, 22, 165], [3726, False, 22, 165], [3725, False, 22, 165],
             [3724, False, 22, 165], [3723, False, 22, 165], [3722, False, 22, 165], [3721, False, 22, 165],
             [3720, False, 22, 165], [3719, False, 22, 165], [3718, False, 22, 165], [3717, False, 22, 165],
             [3716, False, 22, 165], [3715, False, 22, 165], [3696, 82, 6, 166], [3695, 82, 6, 166], [3694, 82, 6, 166],
             [3693, 82, 6, 166], [3692, 66, 6, 166], [3691, 82, 6, 166], [3690, 82, 6, 166], [3689, 82, 6, 166],
             [3688, 64, 6, 166], [3687, 66, 6, 166], [3686, 82, 6, 166], [3685, 82, 6, 166], [3684, 82, 6, 166],
             [3683, 19, 6, 166], [3682, 66, 6, 166], [3681, 82, 6, 166], [3680, 82, 6, 166], [3679, 66, 6, 166],
             [3634, 81, 6, 166], [3633, 82, 6, 166], [3632, 45, 6, 166], [3631, 66, 6, 166], [3630, 82, 6, 166],
             [3629, 82, 6, 166], [3628, 82, 6, 166], [3627, 82, 6, 166], [3626, 66, 6, 166], [3625, 82, 6, 166],
             [3624, 82, 6, 166], [3623, 66, 6, 166], [3622, 82, 6, 166], [3621, 66, 6, 166], [3608, 82, 6, 166],
             [3607, 82, 6, 166], [3606, 82, 6, 166], [3605, 45, 6, 166], [3604, 66, 6, 166], [3591, 82, 6, 166],
             [3590, 45, 6, 166], [3589, 66, 6, 166], [3588, 82, 6, 166], [3587, 82, 6, 166], [3586, 45, 6, 166],
             [3585, 66, 6, 166], [3584, 82, 6, 166], [3583, 82, 6, 166], [3582, 82, 6, 166], [3581, 88, 6, 166],
             [3580, 88, 6, 166], [3579, 66, 6, 166], [3558, 88, 6, 166], [3557, 82, 6, 166], [3556, 82, 6, 166],
             [3555, 66, 6, 166], [3544, 82, 6, 166], [3543, 82, 6, 166], [3542, 82, 6, 166], [3541, 82, 6, 166],
             [3540, 82, 6, 166], [3539, 66, 6, 166], [3530, 82, 6, 166], [3529, 82, 6, 166], [3528, 82, 6, 166],
             [3527, 82, 6, 166], [3526, 82, 6, 166], [3525, 82, 6, 166], [3524, 82, 6, 166], [3523, 45, 6, 166],
             [3522, 66, 6, 166], [3521, 66, 6, 166], [3520, 66, 6, 166], [3508, 82, 22, 164], [3507, 82, 22, 164],
             [3506, 82, 22, 164], [3505, False, 22, 164], [3499, 88, 6, 163], [3498, 82, 6, 163], [3497, 45, 6, 163],
             [3496, 66, 6, 163], [3495, 88, 6, 163], [3494, 82, 6, 163], [3493, 66, 6, 163], [3492, 82, 6, 163],
             [3491, 82, 6, 163], [3490, 82, 6, 163], [3489, 88, 6, 163], [3488, 88, 6, 163], [3487, 66, 6, 163],
             [3486, 82, 6, 163], [3485, 82, 6, 163], [3484, 66, 6, 163], [3483, 82, 6, 163], [3482, 66, 6, 163],
             [3481, 82, 6, 163], [3480, 82, 6, 163], [3479, 82, 6, 163], [3478, 82, 6, 163], [3477, 64, 6, 163],
             [3476, 66, 6, 163], [3475, 64, 6, 163], [3474, 82, 6, 163], [3473, 82, 6, 163], [3472, 82, 6, 163],
             [3471, 64, 6, 163], [3470, 66, 6, 163], [3469, 82, 6, 163], [3468, 64, 6, 163], [3467, 66, 6, 163],
             [3466, 19, 6, 163], [3465, 85, 6, 163], [3464, 66, 6, 163], [3463, 82, 6, 163], [3462, 82, 6, 163],
             [3461, 45, 6, 163], [3460, 82, 6, 163], [3459, 64, 6, 163], [3458, 45, 6, 163], [3457, 82, 6, 163],
             [3456, 66, 6, 163], [3455, 88, 6, 163], [3454, 88, 6, 163], [3453, 88, 6, 163], [3452, 88, 6, 163],
             [3451, 64, 6, 163], [3450, 66, 6, 163], [3449, 66, 6, 163], [3448, 82, 6, 163], [3447, 82, 6, 163],
             [3446, 82, 6, 163], [3445, 82, 6, 163], [3444, 82, 6, 163], [3443, 82, 6, 163], [3442, 82, 6, 163],
             [3441, 82, 6, 163], [3440, 82, 6, 163], [3439, 82, 6, 163], [3438, 82, 6, 163], [3437, 82, 6, 163],
             [3436, 82, 6, 163], [3435, 82, 6, 163], [3434, 82, 6, 163], [3433, 82, 6, 163], [3432, 88, 6, 163],
             [3431, 88, 6, 163], [3430, 85, 6, 163], [3429, 64, 6, 163], [3428, 64, 6, 163], [3427, 64, 6, 163],
             [3426, 64, 6, 163], [3425, 64, 6, 163], [3424, 45, 6, 163], [3423, 45, 6, 163], [3422, 45, 6, 163],
             [3421, 66, 6, 163], [3420, 66, 6, 163], [3419, 66, 6, 163], [3418, 66, 6, 163], [3417, 66, 6, 163],
             [3416, 66, 6, 163], [3415, 66, 6, 163], [3414, 81, 6, 163], [3413, 81, 6, 163], [3219, 82, 6, 160],
             [3218, 82, 6, 160], [3217, 82, 6, 160], [3216, 82, 6, 160], [3215, 82, 6, 160], [3214, 82, 6, 160],
             [3213, 82, 6, 160], [3212, 82, 6, 160], [3211, 82, 6, 160], [3210, 82, 6, 160], [3209, 82, 6, 160],
             [3208, 82, 6, 160], [3207, 82, 6, 160], [3202, 82, 6, 160], [3201, 82, 6, 160], [3200, 82, 6, 160],
             [3199, 64, 6, 160], [3198, 19, 6, 160], [3197, 66, 6, 160], [3196, 19, 6, 160], [3195, 19, 6, 160],
             [3194, 19, 6, 160], [3193, 19, 6, 160], [3192, 19, 6, 160], [3191, 19, 6, 160], [3190, 19, 6, 160],
             [3189, 45, 6, 160], [3188, 19, 6, 160], [3187, 19, 6, 160], [3186, 19, 6, 160], [3185, 81, 6, 160],
             [3123, 45, 22, 162], [3040, 45, 22, 159], [3039, 45, 22, 159], [3038, 45, 22, 159], [3037, 45, 22, 159],
             [3036, 45, 22, 159], [3035, 45, 22, 159], [3034, 45, 22, 159], [3033, 45, 22, 159], [3032, 45, 22, 159],
             [3031, 45, 22, 159], [3030, 45, 22, 159], [3029, 45, 22, 159], [3028, 45, 22, 159], [3027, 45, 22, 159],
             [3026, 45, 22, 159], [3025, 45, 22, 159], [3024, 45, 22, 159], [3023, 45, 22, 159], [2762, 82, 2, 161],
             [2761, 82, 2, 161], [2760, 82, 2, 161], [2759, 82, 2, 161], [2758, 82, 2, 161], [2757, 82, 2, 161],
             [2756, 17, 2, 161], [2755, 17, 2, 161], [2754, 17, 2, 161], [2753, 66, 2, 161], [2752, 66, 2, 161],
             [2679, 82, 6, 158], [2678, 82, 6, 158], [2677, 82, 6, 158], [2676, 82, 6, 158], [2675, 82, 6, 158],
             [2674, 82, 6, 158], [2673, 82, 6, 158], [2672, 82, 6, 158], [2671, 82, 6, 158], [2670, 64, 6, 158],
             [2669, 64, 6, 158], [2668, 19, 6, 158], [2667, 64, 6, 158], [2666, 45, 6, 158], [2611, 82, 6, 150],
             [2610, 66, 6, 150], [2609, 66, 6, 150], [2608, 66, 6, 150], [2607, 66, 6, 150], [2606, 66, 6, 150],
             [2605, 81, 6, 150], [2598, 45, 22, 152], [2597, 45, 22, 152], [2596, 45, 22, 152], [2595, 45, 22, 152],
             [2594, 45, 22, 152], [2593, 45, 22, 152], [2589, 82, 6, 153], [2588, 82, 6, 153], [2587, 82, 6, 153],
             [2586, 82, 6, 153], [2585, 82, 6, 153], [2584, 82, 6, 153], [2583, 66, 6, 153], [2582, 66, 6, 153],
             [2581, 66, 6, 153], [2580, 66, 6, 153], [2579, 66, 6, 153], [2578, 81, 6, 153], [2577, 81, 6, 153],
             [2566, 82, 2, 157], [2565, 82, 2, 157], [2564, 82, 2, 157], [2563, 82, 2, 157], [2562, 82, 2, 157],
             [2561, 66, 2, 157], [2560, 66, 2, 157], [2559, 66, 2, 157], [2558, 66, 2, 157], [2557, 66, 2, 157],
             [2556, 66, 2, 157], [2555, 66, 2, 157], [2553, 66, 2, 157], [2552, 66, 2, 157], [2551, 66, 2, 157],
             [2550, 66, 2, 157], [2549, 66, 2, 157], [2548, 66, 2, 157], [2546, 66, 2, 157], [2545, 66, 2, 157],
             [2544, 66, 2, 157], [2543, 66, 2, 157], [2542, 66, 2, 157], [2541, 66, 2, 157], [2505, 82, 2, 155],
             [2504, 82, 2, 155], [2503, 82, 2, 155], [2502, 66, 2, 155], [2501, 66, 2, 155], [2500, 66, 2, 155],
             [2499, 66, 2, 155], [2498, 66, 2, 155], [2497, 66, 2, 155], [2496, 66, 2, 155], [2495, 66, 2, 155],
             [2494, 66, 2, 155], [2493, 66, 2, 155], [2492, 66, 2, 155], [2480, 82, 2, 154], [2479, 82, 2, 154],
             [2478, 82, 2, 154], [2477, 82, 2, 154], [2476, 82, 2, 154], [2475, 82, 2, 154], [2474, 82, 2, 154],
             [2473, 82, 2, 154], [2472, 82, 2, 154], [2445, 45, 22, 151], [2444, 45, 22, 151], [2443, 45, 22, 151],
             [2442, 45, 22, 151], [2426, 82, 6, 148], [2425, 82, 6, 148], [2424, 82, 6, 148], [2423, 82, 6, 148],
             [2422, 82, 6, 148], [2421, 64, 6, 148], [2420, 64, 6, 148], [2419, 66, 6, 148], [2418, 66, 6, 148],
             [2417, 66, 6, 148], [2416, 66, 6, 148], [2380, 45, 22, 149], [2373, 82, 6, 146], [2372, 82, 6, 146],
             [2371, 82, 6, 146], [2370, 82, 6, 146], [2369, 82, 6, 146], [2368, 66, 6, 146], [2367, 66, 6, 146],
             [2366, 66, 6, 146], [2365, 66, 6, 146], [2364, 66, 6, 146], [2363, 45, 22, 147], [2362, 66, 22, 147],
             [2361, 66, 22, 147], [2323, 82, 6, 145], [2322, 82, 6, 145], [2321, 82, 6, 145], [2320, 82, 6, 145],
             [2319, 82, 6, 145], [2318, 82, 6, 145], [2317, 82, 6, 145], [2316, 82, 6, 145], [2315, 82, 6, 145],
             [2314, 82, 6, 145], [2313, 82, 6, 145], [2312, 82, 6, 145], [2311, 66, 6, 145], [2310, 66, 6, 145],
             [2309, 66, 6, 145], [2308, 66, 6, 145], [2307, 66, 6, 145], [2270, 82, 6, 144], [2269, 82, 6, 144],
             [2268, 82, 6, 144], [2267, 82, 6, 144], [2266, 82, 6, 144], [2265, 82, 6, 144], [2264, 82, 6, 144],
             [2263, 82, 6, 144], [2262, 82, 6, 144], [2261, 66, 6, 144], [2260, 66, 6, 144], [2259, 66, 6, 144],
             [2258, 66, 6, 144], [2257, 66, 6, 144], [2202, 82, 6, 143], [2201, 82, 6, 143], [2200, 82, 6, 143],
             [2199, 82, 6, 143], [2191, 79, 2, 142], [2190, 79, 2, 142], [2189, 79, 2, 142], [2188, 79, 2, 141],
             [2187, 79, 2, 141], [2186, 79, 2, 141], [2185, 79, 2, 141], [2184, 79, 2, 141], [2183, 79, 2, 141],
             [2182, 79, 2, 141], [2161, 45, False, 112], [2158, 45, False, 112], [2157, 45, False, 112],
             [2156, 45, False, 112], [2155, 45, False, 112], [2154, 77, 6, 140], [2153, 77, 6, 140], [2152, 76, 6, 140],
             [2151, 76, 6, 140], [2150, 76, 6, 140], [2149, 76, 6, 140], [2148, 76, 6, 140], [2147, 76, 6, 140],
             [2146, 76, 6, 140], [2145, 76, 6, 140], [2144, 76, 6, 140], [2143, 76, 6, 140], [2142, 76, 6, 140],
             [2141, 76, 6, 140], [2140, 76, 6, 140], [2139, 76, 6, 140], [2098, 76, 6, 139], [2097, 76, 6, 139],
             [2096, 76, 6, 139], [2095, 76, 6, 139], [2094, 76, 6, 139], [2093, 76, 6, 139], [2092, 76, 6, 139],
             [2091, 76, 6, 139], [2090, 76, 6, 139], [2089, 76, 6, 139], [2088, 76, 6, 139], [2087, 76, 6, 139],
             [2086, 76, 6, 139], [2085, 76, 6, 139], [2062, 76, 6, 138], [2061, 76, 6, 138], [2060, 76, 6, 138],
             [2059, 76, 6, 138], [2058, 76, 6, 138], [2057, 76, 6, 138], [2056, 76, 6, 138], [2055, 76, 6, 138],
             [2054, 76, 6, 138], [2006, 77, 6, 137], [2005, 77, 6, 137], [2004, 77, 6, 137], [2003, 77, 6, 137],
             [2002, 76, 6, 137], [2001, 76, 6, 137], [2000, 76, 6, 137], [1999, 76, 6, 137], [1998, 76, 6, 137],
             [1997, 76, 6, 137], [1996, 76, 6, 137], [1995, 76, 6, 137], [1994, 76, 6, 137], [1993, 76, 6, 137],
             [1992, 76, 6, 137], [1991, 76, 6, 137], [1990, 76, 6, 137], [1989, 76, 6, 137], [1943, 77, 6, 136],
             [1942, 77, 6, 136], [1941, 77, 6, 136], [1940, 77, 6, 136], [1939, 77, 6, 136], [1938, 77, 6, 136],
             [1937, 76, 6, 136], [1936, 76, 6, 136], [1935, 76, 6, 136], [1934, 76, 6, 136], [1933, 76, 6, 136],
             [1932, 76, 6, 136], [1931, 76, 6, 136], [1930, 76, 6, 136], [1929, 76, 6, 136], [1928, 76, 6, 136],
             [1927, 76, 6, 136], [1926, 76, 6, 136], [1874, 77, 2, False], [1873, 77, 2, False], [1857, 77, 6, 135],
             [1856, 77, 6, 135], [1855, 77, 6, 135], [1854, 76, 6, 135], [1853, 76, 6, 135], [1852, 76, 6, 135],
             [1851, 76, 6, 135], [1850, 76, 6, 135], [1849, 76, 6, 135], [1848, 76, 6, 135], [1847, 76, 6, 135],
             [1846, 76, 6, 135], [1845, 76, 6, 135], [1844, 76, 6, 135], [1843, 76, 6, 135], [1842, 76, 6, 135],
             [1841, 76, 6, 135], [1840, 76, 6, 135], [1792, 76, 6, 134], [1791, 76, 6, 134], [1790, 76, 6, 134],
             [1789, 76, 6, 134], [1788, 76, 6, 134], [1787, 76, 6, 134], [1786, 76, 6, 134], [1785, 76, 6, 134],
             [1784, 76, 6, 134], [1783, 76, 6, 134], [1782, 76, 6, 134], [1781, 76, 6, 134], [1780, 76, 6, 134],
             [1779, 76, 6, 134], [1778, 76, 6, 134], [1777, 76, 6, 134], [1776, 76, 6, 134], [1775, 76, 6, 134],
             [1727, 74, False, False], [1726, 74, False, False], [1725, 76, 6, 133], [1724, 76, 6, 133],
             [1723, 76, 6, 133], [1722, 76, 6, 133], [1721, 76, 6, 133], [1720, 76, 6, 133], [1719, 76, 6, 133],
             [1718, 76, 6, 133], [1717, 76, 6, 133], [1716, 76, 6, 133], [1715, 76, 6, 133], [1714, 76, 6, 133],
             [1713, 76, 6, 133], [1678, 76, 6, 132], [1677, 76, 6, 132], [1676, 76, 6, 132], [1675, 76, 6, 132],
             [1674, 76, 6, 132], [1673, 76, 6, 132], [1672, 76, 6, 132], [1671, 76, 6, 132], [1670, 76, 6, 132],
             [1669, 76, 6, 132], [1668, 76, 6, 132], [1667, 76, 6, 132], [1666, 76, 6, 132], [1645, 74, False, False],
             [1644, 74, False, False], [1643, 74, False, False], [1642, 74, False, False], [1641, 74, False, False],
             [1640, 74, False, False], [1639, 74, False, False], [1619, 77, 6, 131], [1618, 76, 6, 131],
             [1617, 76, 6, 131], [1616, 76, 6, 131], [1615, 76, 6, 131], [1614, 76, 6, 131], [1613, 76, 6, 131],
             [1612, 76, 6, 131], [1611, 76, 6, 131], [1610, 76, 6, 131], [1609, 76, 6, 131], [1608, 76, 6, 131],
             [1607, 76, 6, 131], [1606, 76, 6, 131], [1605, 77, 2, False], [1604, 77, 2, False], [1603, 77, 2, False],
             [1548, 76, 6, 130], [1547, 76, 6, 130], [1546, 76, 6, 130], [1545, 76, 6, 130], [1544, 76, 6, 130],
             [1543, 76, 6, 130], [1542, 76, 6, 130], [1541, 76, 6, 130], [1540, 76, 6, 130], [1539, 76, 6, 130],
             [1538, 76, 6, 130], [1495, 77, 6, 129], [1494, 77, 6, 129], [1493, 77, 6, 129], [1492, 77, 6, 129],
             [1491, 77, 6, 129], [1490, 76, 6, 129], [1489, 76, 6, 129], [1488, 76, 6, 129], [1487, 76, 6, 129],
             [1486, 76, 6, 129], [1485, 76, 6, 129], [1484, 76, 6, 129], [1483, 76, 6, 129], [1482, 76, 6, 129],
             [1481, 76, 6, 129], [1480, 76, 6, 129], [1479, 76, 6, 129], [1478, 76, 6, 129], [1477, 76, 6, 129],
             [1476, 76, 6, 129], [1338, 77, 6, 128], [1337, 77, 6, 128], [1336, 77, 6, 128], [1335, 77, 6, 128],
             [1334, 76, 6, 128], [1333, 76, 6, 128], [1332, 76, 6, 128], [1331, 76, 6, 128], [1330, 76, 6, 128],
             [1329, 76, 6, 128], [1328, 76, 6, 128], [1327, 76, 6, 128], [1326, 76, 6, 128], [1325, 76, 6, 128],
             [1324, 76, 6, 128], [1289, False, 2, False], [1287, False, False, 118], [1286, 45, False, 118],
             [1285, False, False, 118], [1284, False, False, 118], [1283, False, False, 118], [1282, 45, False, 118],
             [1281, 45, False, 117], [1280, 45, False, 117], [1279, 45, False, 117], [1278, 45, False, 117],
             [1277, 45, False, 117], [1276, 45, False, 116], [1275, 45, False, 116], [1274, 45, False, 116],
             [1273, False, False, 115], [1272, 45, False, 114], [1271, 45, False, 114], [1270, 45, False, 114],
             [1269, 45, False, 113], [1268, 45, False, 113], [1267, 45, False, 113], [1266, 45, False, 113],
             [1261, 42, 2, 65], [1260, 42, 2, 65], [1259, 42, 2, 65], [1258, 42, 2, 65], [1257, 42, 2, 65],
             [1256, 42, 2, 65], [1255, 42, 2, 65], [1254, 64, 2, 78], [1253, 64, 2, 78], [1252, 64, 2, 78],
             [1251, 64, 2, 78], [1250, 32, 2, 127], [1249, 32, 2, 127], [1248, 32, 2, 127], [1227, 45, False, 77],
             [1226, 45, False, 77], [1225, 45, False, 77], [1224, 45, False, 77], [1223, 69, 2, False],
             [1222, 69, 2, False], [1221, 69, 2, False], [1220, 69, 2, False], [1219, 69, 2, False],
             [1218, 64, 2, False], [1217, 64, 2, False], [1216, 64, 2, False], [1215, 65, 24, 111], [1214, 65, 24, 111],
             [1213, 65, 24, 111], [1212, 65, 24, 111], [1211, 65, 24, 111], [1210, 65, 24, 111], [1209, 65, 24, 111],
             [1208, 65, 24, 111], [1207, 65, 24, 111], [1197, 65, 24, 109], [1196, 65, 24, 109], [1195, 65, 24, 109],
             [1194, 65, 24, 109], [1193, 65, 24, 109], [1192, 65, 24, 109], [1191, 65, 24, 109], [1190, 65, 24, 109],
             [1189, 65, 24, 109], [1188, 65, 24, 109], [1175, 65, 24, 102], [1174, 65, 24, 102], [1173, 65, 24, 102],
             [1172, 65, 24, 102], [1171, 65, 24, 102], [1170, 65, 24, 102], [1169, 65, 24, 102], [1168, 65, 24, 102],
             [1167, 65, 24, 102], [1166, 66, 24, 102], [1165, 65, 24, 91], [1164, 65, 24, 91], [1163, 65, 24, 91],
             [1162, 65, 24, 91], [1161, 65, 24, 91], [1160, 65, 24, 91], [1159, 65, 24, 91], [1158, 66, 24, 91],
             [1157, 65, False, 101], [1156, 65, False, 101], [1155, 65, False, 101], [1154, 65, False, 101],
             [1153, 66, False, 101], [1152, 65, False, 90], [1151, 65, False, 90], [1150, 65, False, 90],
             [1149, 65, False, 90], [1148, 66, False, 90], [1147, 65, False, 107], [1146, 65, False, 107],
             [1145, 65, False, 107], [1144, 65, False, 107], [1143, 65, False, 107], [1142, 65, False, 107],
             [1141, 65, False, 106], [1140, 65, False, 106], [1139, 65, False, 106], [1138, 65, False, 106],
             [1137, 65, False, 106], [1132, 65, 24, 105], [1131, 65, 24, 105], [1130, 65, 24, 105], [1129, 65, 24, 105],
             [1128, 65, 24, 105], [1127, 65, 24, 105], [1126, 66, 24, 105], [1125, 66, 24, 105], [1124, 66, 24, 105],
             [1093, 65, 24, 99], [1092, 65, 24, 99], [1091, 65, 24, 99], [1090, 65, 24, 99], [1089, 65, 24, 99],
             [1088, 65, 24, 99], [1087, 65, 24, 99], [1086, 65, 24, 99], [1085, 65, 24, 99], [1084, 65, 24, 99],
             [1083, 65, False, 98], [1082, 65, False, 98], [1081, 65, False, 98], [1080, 65, False, 98],
             [1079, 65, False, 98], [1078, 65, False, 98], [1077, 65, False, 97], [1076, 65, False, 97],
             [1075, 65, False, 97], [1074, 65, False, 97], [1073, 65, False, 97], [1039, 65, 24, 89],
             [1038, 65, 24, 89], [1037, 65, 24, 89], [1036, 65, 24, 89], [1035, 65, 24, 89], [1034, 65, 24, 89],
             [1033, 65, 24, 89], [1032, 65, 24, 89], [974, 65, False, 80], [973, 65, False, 80], [972, 65, False, 80],
             [971, 65, False, 80], [970, 65, False, 80], [955, 45, False, 76], [954, 45, False, 76],
             [953, 45, False, 76], [952, 45, False, 75], [951, 45, 2, 74], [950, 45, False, 75], [949, 42, 2, 74],
             [948, 42, 2, 74], [941, 45, 2, 72], [935, 15, 2, 70], [934, 15, 2, 70], [933, 15, 2, 70],
             [929, 48, False, 68], [928, 48, False, 68], [927, 45, False, 68], [926, 45, False, 68],
             [925, 45, False, 68], [924, 45, False, 68], [923, 45, False, 68], [922, 45, False, 68],
             [921, 45, False, 68], [853, 19, 2, 66], [852, 19, 2, 66], [851, 19, 2, 66], [850, 15, 2, 66],
             [849, 15, 2, 66], [848, 15, 2, 66], [802, 37, False, 64], [780, 37, 2, 55], [779, 37, 6, 63],
             [778, 37, 6, 63], [777, 37, 6, 63], [776, 37, 6, 63], [775, 37, 6, 63], [774, 37, 6, 63], [773, 37, 6, 63],
             [772, 37, 6, 63], [771, 37, 6, 63], [770, 37, 6, 63], [769, 37, 6, 63], [768, 37, 6, 63], [767, 37, 6, 63],
             [766, 37, 6, 63], [765, 37, 6, 63], [764, 37, 6, 63], [763, 37, 6, 63], [762, 37, 6, 63], [761, 37, 2, 55],
             [760, 37, 2, 55], [759, 37, 2, 55], [758, 37, 2, 55], [741, 37, False, 62], [740, 37, False, 62],
             [739, 37, False, 62], [738, 37, False, 62], [737, 37, False, 62], [732, 37, False, 61],
             [731, 37, False, 61], [730, 37, False, 61], [727, 37, False, 60], [726, 37, False, 60],
             [725, 37, False, 60], [724, 37, False, 59], [723, 37, False, 59], [722, 37, False, 59],
             [721, 37, False, 58], [720, 37, False, 58], [719, 37, False, 58], [715, 37, False, 56], [714, 37, 2, 55],
             [692, 37, False, 54], [691, 37, False, 54], [690, 37, False, 54], [689, 37, 2, 48], [688, 37, 2, 48],
             [687, 37, 2, 47], [686, 37, 6, 53], [685, 37, 6, 53], [684, 37, 6, 53], [683, 37, 6, 53], [682, 37, 6, 53],
             [681, 37, 6, 53], [680, 37, 6, 53], [672, 37, 6, 51], [671, 37, 6, 50], [670, 37, 6, 50], [669, 37, 6, 50],
             [668, 37, 6, 50], [667, 37, 6, 50], [666, 37, 6, 50], [665, 37, 6, 50], [664, 37, 2, 48], [663, 37, 2, 48],
             [662, 37, 2, 47], [661, 37, 2, 47], [660, 37, 2, 47], [659, 37, 2, 47], [658, 37, 2, 46], [657, 37, 2, 46],
             [656, 37, 2, 46], [655, 37, False, 45], [654, 37, False, 45], [653, 37, False, 45], [635, 37, 6, 42],
             [634, 37, 6, 42], [633, 37, 6, 42], [632, False, 6, 42], [631, False, 6, 42], [630, False, 6, 42],
             [613, False, 2, False], [612, False, 2, False], [611, False, 2, False], [610, False, 2, False],
             [609, False, 2, False], [608, False, 2, False], [607, False, 2, False], [606, False, 2, False],
             [605, False, 2, False], [557, False, False, 40], [556, False, False, 40], [555, False, False, 40],
             [554, False, False, 40], [553, False, False, 40], [552, False, False, 40], [551, False, False, 40],
             [550, False, False, 40], [549, False, False, 40], [548, False, False, 40], [547, False, 24, False],
             [546, False, 24, False], [545, False, 1, False], [542, False, 1, False], [541, False, 1, False],
             [540, False, 1, False], [539, False, False, 60], [535, False, 2, False], [533, False, 2, False],
             [530, False, 2, False], [529, False, 2, False], [528, False, 2, False], [526, False, 2, False],
             [525, False, 2, False], [519, False, 2, False], [512, False, False, False], [511, False, False, False],
             [510, False, False, False], [509, False, False, False], [507, False, 2, False], [506, False, 2, False],
             [504, False, False, False], [503, False, False, False], [502, False, False, 30], [501, False, False, 30],
             [500, False, False, 30], [499, False, False, 30], [498, False, False, 30], [497, False, False, 30],
             [496, False, False, 30], [495, False, False, 30], [494, False, False, 30], [493, False, False, 30],
             [492, False, False, 30], [491, False, False, 30], [478, False, False, False], [477, False, False, False],
             [476, False, False, False], [475, False, False, False], [474, False, False, False],
             [473, False, False, False], [472, False, False, False], [469, False, False, False],
             [468, False, False, False], [467, False, 2, False], [466, False, 2, False], [465, False, False, False],
             [464, False, False, False], [463, False, False, False], [462, False, False, False],
             [461, False, False, False], [460, False, False, 33], [459, False, False, 33], [458, False, False, 33],
             [457, False, False, 33], [456, False, False, 33], [455, False, False, 33], [454, False, False, 33],
             [453, False, False, 33], [452, False, False, 33], [423, False, 2, False], [422, False, 2, False],
             [421, False, 2, False], [416, False, 2, False], [415, False, 2, False], [414, False, 6, 28],
             [413, False, 6, 28], [412, False, 6, 28], [399, False, False, 23], [398, False, False, 23],
             [397, False, False, 23], [396, False, False, 23], [395, False, False, 23], [394, False, False, 22],
             [393, False, False, 22], [392, False, False, 22], [391, False, False, 22], [390, False, False, 22],
             [389, False, False, 22], [388, False, False, 22], [387, False, False, 22], [386, False, False, 22],
             [385, False, False, 22], [367, False, False, 21], [366, False, False, 21], [365, False, False, 21],
             [364, False, False, 21], [363, False, False, 21], [362, False, False, 21], [361, False, False, 21],
             [360, False, False, 21], [359, False, False, 21], [358, False, False, 21], [357, False, 1, False],
             [356, False, 1, False], [355, False, 1, False], [354, False, 1, False], [353, False, 1, False],
             [352, False, 1, False], [351, False, 1, False], [350, False, 1, False], [349, False, 1, False],
             [348, False, 1, False], [347, False, 1, False], [343, False, False, 20], [342, False, False, 20],
             [341, False, False, 20], [340, False, False, 20], [339, False, False, 20], [338, False, False, 20],
             [337, False, False, 20], [336, False, False, 20], [335, False, False, 20], [334, False, False, 20],
             [333, False, False, 20], [332, False, False, 20], [331, False, False, 20], [330, False, False, 19],
             [329, False, False, 19], [328, False, False, 19], [327, False, False, 19], [326, False, False, 19],
             [325, False, False, 19], [324, False, False, 19], [323, False, False, 19], [322, False, False, 19],
             [321, False, False, 19], [320, False, False, 19], [319, False, False, 19], [318, False, False, 18],
             [317, False, False, 18], [316, False, False, 18], [315, False, False, 18], [314, False, False, 18],
             [313, False, False, 18], [312, False, False, 18], [311, False, False, 18], [310, False, False, 18],
             [309, False, False, 18], [308, False, False, 18], [307, False, False, 17], [306, False, False, 17],
             [305, False, False, 17], [304, False, False, 17], [303, False, False, 17], [302, False, False, 17],
             [294, False, 1, False], [248, False, 2, 7], [247, False, 2, 7], [246, False, 2, 7], [245, False, 2, 7],
             [244, False, 2, 7], [243, False, 2, 7], [242, False, 2, 7], [241, False, 2, 7], [240, False, 2, 7],
             [209, False, False, 6], [208, False, False, 6], [207, False, False, 6], [206, False, False, 6],
             [205, False, False, 6], [204, False, False, 6], [203, False, False, 6], [202, False, False, 6],
             [201, False, False, 6], [200, False, False, 5], [199, False, False, 5], [198, False, False, 5],
             [197, False, False, 5], [196, False, False, 5], [195, False, False, 5], [194, False, False, 5],
             [193, False, False, 5], [192, False, False, 5], [191, False, False, 5], [190, False, False, 5],
             [189, False, False, 5], [188, False, False, 5], [187, False, False, 5], [186, False, False, 5],
             [185, False, False, 5], [184, False, False, 5], [183, False, False, 5], [182, False, False, 5],
             [181, False, False, 5], [180, False, False, 5], [179, False, False, 5], [178, False, False, 5],
             [171, False, 2, 3], [170, False, 2, 3], [169, False, 2, 2], [168, False, 2, 2], [167, False, 1, False],
             [166, False, 1, False], [165, False, 1, False], [164, False, False, 1], [163, False, False, 1],
             [162, False, False, 1], [161, False, False, 1], [160, False, False, 1], [159, False, False, 1],
             [158, False, False, 1], [157, False, False, 1], [156, False, False, 1], [155, False, False, 1],
             [154, False, False, 1], [153, False, False, 1], [152, False, False, 1], [151, False, False, 1],
             [150, False, False, 1], [149, False, False, 1], [148, False, False, 1], [147, False, False, 1],
             [146, False, 1, False], [145, False, 1, False], [144, False, 1, False], [142, False, 1, False],
             [141, False, 1, False], [140, False, 1, False], [139, False, 1, False], [138, False, 1, False],
             [137, False, 1, False], [136, False, 1, False], [135, False, 1, False], [134, False, 1, False],
             [133, False, 1, False], [132, False, 1, False], [131, False, 1, False], [130, False, 1, False],
             [129, False, 1, False], [128, False, 1, False], [127, False, 1, False], [126, False, 1, False],
             [125, False, 1, False], [124, False, 1, False], [123, False, 1, False], [122, False, 1, False],
             [121, False, 1, False], [120, False, 1, False], [116, False, 1, False], [115, False, 1, False],
             [114, False, 1, False], [113, False, 1, False], [112, False, 1, False], [111, False, 1, False],
             [110, False, 1, False], [109, False, 1, False], [108, False, 1, False], [107, False, 1, False],
             [106, False, 1, False], [105, False, 1, False], [104, False, 1, False], [103, False, 1, False],
             [102, False, 1, False], [101, False, 1, False], [100, False, 1, False], [99, False, 1, False],
             [98, False, 1, False], [97, False, 1, False], [96, False, 1, False], [95, False, 1, False],
             [94, False, 1, False], [93, False, 1, False], [92, False, 1, False], [91, False, 1, False],
             [90, False, 1, False], [89, False, 1, False], [88, False, 1, False], [87, False, 1, False],
             [86, False, 1, False], [85, False, 1, False], [84, False, 1, False], [83, False, 1, False],
             [82, False, 1, False], [81, False, 1, False], [80, False, 1, False], [79, False, 1, False],
             [78, False, 1, False], [77, False, 1, False], [76, False, 1, False], [75, False, 1, False],
             [74, False, 1, False], [73, False, 1, False], [72, False, 1, False], [71, False, 1, False],
             [70, False, 1, False], [69, False, 1, False], [68, False, 1, False], [67, False, 1, False],
             [66, False, 1, False], [65, False, 1, False], [64, False, 1, False], [63, False, 1, False],
             [62, False, 1, False], [61, False, 1, False], [60, False, 1, False], [59, False, 1, False],
             [58, False, 1, False], [57, False, 1, False], [56, False, 1, False], [55, False, 1, False],
             [54, False, 1, False], [53, False, 1, False], [52, False, 1, False], [51, False, 1, False],
             [48, False, 1, False], [47, False, 1, False], [46, False, 1, False], [45, False, 1, False],
             [44, False, 1, False], [43, False, 1, False], [42, False, 1, False], [41, False, 1, False],
             [40, False, 1, False], [39, False, 1, False], [33, False, 1, False], [32, False, 1, False],
             [31, False, 1, False], [30, False, 1, False], [29, False, 1, False], [28, False, 1, False],
             [27, False, 1, False], [26, False, 1, False], [25, False, 1, False], [24, False, 1, False],
             [23, False, 1, False], [22, False, 1, False], [21, False, 1, False], [20, False, 1, False],
             [19, False, 1, False], [18, False, 1, False], [17, False, 1, False], [16, False, 1, False],
             [15, False, 1, False], [14, False, 1, False], [13, False, 1, False], [12, False, 1, False],
             [11, False, 1, False], [10, False, 1, False], [9, False, 1, False], [8, False, 1, False],
             [7, False, 1, False], [6, False, 1, False], [5, False, 1, False], [4, False, 1, False],
             [3, False, 1, False], [2, False, 1, False], [1, False, 1, False]]

for info in line_info:
    line_id = info[0]
    project_id = info[1]
    employee_id = info[2]
    sheet_id = info[3]
    # line = env['account.analytic.line'].browse(line_id)
    # line.write({'project_id': project_id, 'account_id': line.account_id.id, 'employee_id':employee_id,'sheet_id':sheet_id})
    with open('queries.txt', 'a+') as file:
        file.write("update account_analytic_line set project_id=%s, employee_id=%s,sheet_id=%s where id=%s;\n" % (
        project_id or 'null', employee_id or 'null', sheet_id or 'null', line_id))

print ("copy queries from queries.txt and execute in DST database")
